import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:umeng_plugin_cai/umeng_plugin_cai.dart';

void main() {
  const MethodChannel channel = MethodChannel('umeng_plugin_cai');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await UmengPluginCai.platformVersion, '42');
  });
}
